/*
 * Copyright 2017 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.beryx.textio.web;

import java.util.Map;
import java.util.function.Consumer;
import java.util.function.Function;

public interface TextIoApp<APP extends TextIoApp> {
    void init();

    APP withOnDispose(Consumer<String> onDispose);
    APP withOnAbort(Consumer<String> onAbort);
    APP withMaxInactiveSeconds(Integer maxInactiveSeconds);
    APP withStaticFilesLocation(String location);
    APP withPort(Integer portNumber);
    int getPort();
}
